<!--
  ~ EVS Client is part of the Gazelle Test Bed
  ~ Copyright (C) 2006-2016 IHE
  ~ mailto :eric DOT poiseau AT inria DOT fr
  ~
  ~ See the NOTICE file distributed with this work for additional information
  ~ regarding copyright ownership.  This code is licensed
  ~ to you under the Apache License, Version 2.0 (the
  ~ "License"); you may not use this file except in compliance
  ~ with the License.  You may obtain a copy of the License at
  ~
  ~   http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing,
  ~ software distributed under the License is distributed on an
  ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  ~ KIND, either express or implied.  See the License for the
  ~ specific language governing permissions and limitations
  ~ under the License.
  -->

<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets" xmlns="http://www.w3.org/1999/xhtml">
    <!-- parameters: -->
    <!--    <ui:param name="gui" value="#{extensionGuiManager.getExtensionGui(extensionClass)}"/>-->
    <!--    <ui:param name="validation" value="#{validationResultBeanGui.selectedObject}"/>-->
    <rich:tab id="#{gui.id}Tab" name="#{gui.id}Tab" header="#{gui.label}" rendered="#{gui.isExtensionAvailable(validation)}">
        <s:div id="#{gui.id}TabContent">
            <ui:insert name="polling"/>
            <a4j:commandButton value="#{gui.getLabel('get-'.concat(gui.code))}"
                               rendered="#{gui.extension == null and not gui.isExtensionInError()}"
                               actionListener="#{gui.pollExtensionStatus()}"
                               render="#{gui.id}TabContent" styleClass="gzl-btn-green"/>
            <s:div rendered="#{gui.isExtensionExists()}" id="#{gui.id}Div">

                <!-- rendering by XSL transformation or XML report rendering -->
                <!-- XSL rendering -->
                <s:div rendered="#{not empty gui.xslTransformation}">
                    <h:outputText value="#{gui.getHtmlExtensionReport()}"
                              escape="false" rendered="#{not empty gui.xslTransformation}"/>
                </s:div>

                <!-- XML report rendering -->
                <s:div rendered="#{empty gui.xslTransformation}">
                    <ui:decorate template="/common/_extensionInfos.xhtml">
                        <ui:param name="reporter" value="#{gui.reporter}"/>
                    </ui:decorate>
                    <ui:decorate template="/common/_subReports.xhtml">
                        <ui:param name="reporter" value="#{gui.reporter}"/>
                    </ui:decorate>
                </s:div>

                <!-- commands -->
                <a4j:commandButton value="#{gui.getLabel('recompute-'.concat(gui.code))}"
                                   actionListener="#{gui.computeAgain()}"
                                   render="#{gui.id}TabContent" styleClass="gzl-btn-blue"/>
                <h:commandLink action="#{gui.downloadExtensionReport()}"
                               execute="@form" styleClass="gzl-btn-blue">
                    <h:outputText value="#{gui.getLabel('download-'.concat(gui.code))}"/>
                </h:commandLink>

            </s:div>
            <s:div rendered="#{gui.showErrorMessage()}"
                   id="#{gui.id}MessageDiv"
                   styleClass="gzl-alert gzl-alert-orange">
                <h:outputText value="#{gui.errorMessage}"/>
            </s:div>
            <s:div rendered="#{gui.isExtensionInError()}"
                   id="no#{gui.id}Div"
                   styleClass="gzl-alert gzl-alert-orange">
                <a4j:commandButton value="#{messages['net.ihe.gazelle.evs.try-again']}"
                                   actionListener="#{gui.computeAgain()}"
                                   render="#{gui.id}TabContent" styleClass="gzl-btn-blue"/>
            </s:div>
        </s:div>
    </rich:tab>

</ui:composition>